Page MenuHomeFreeBSD

devel/libccid: Update to 1.4.30.
ClosedPublic

Authored by 0mp on Oct 9 2018, 9:44 AM.

Details

Summary
  • Change the upstream URL to https://ccid.apdu.fr/
  • Update WWW
  • Clean up:
    • Remove the "post-patch" target. It is no longer needed.
    • Remove unused PLIST_SUB
    • Pet portlint:
      • Move USE_PERL to the the USE* section
      • Set USE_LDCONFIG.

Upstream changelog:
https://salsa.debian.org/rousseau/CCID/blob/master/README

Test Plan
  • portlint
  • poudriere: 12.0-ALPHA6 amd64, 11.2-RELEASE amd64, 10-STABLE i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Oct 9 2018, 9:44 AM
0mp edited the summary of this revision. (Show Details)Oct 9 2018, 9:54 AM
krion accepted this revision.Oct 10 2018, 1:00 PM
This revision is now accepted and ready to land.Oct 10 2018, 1:00 PM
0mp added a comment.Oct 10 2018, 1:20 PM

Thanks @krion, I'll wait for @mmokhi now.

0mp updated this revision to Diff 48980.Oct 10 2018, 3:42 PM

Remove the "post-patch" target. It is no longer needed.

This revision now requires review to proceed.Oct 10 2018, 3:42 PM
0mp edited the summary of this revision. (Show Details)Oct 10 2018, 3:42 PM
mmokhi added inline comments.Oct 10 2018, 5:24 PM
devel/libccid/Makefile
31 โ†—(On Diff #48980)

Hi,
Have you tested the port without this part in run-time and it was fine?
[I could dogfood pcsc-lite, so I can ASSUME this should be also fine. but if you can confirm it works I'm fine otherwise if you can't test, would you mind if I ask for a bit of time to test ๐Ÿ˜…?]

0mp added inline comments.Oct 11 2018, 10:36 AM
devel/libccid/Makefile
31 โ†—(On Diff #48980)

Hello!

Have you tested the port without this part in run-time and it was fine?

Not really, no. I've not tested it in the run-time yet.

However, those lines are not patching anything at this point. In 1.4.30:

mmokhi accepted this revision.Oct 11 2018, 6:51 PM

Thanks for explanations ๐Ÿ˜Š
I see the point now ๐Ÿ˜ƒ
[I also could do a small test, seemed fine to me]
Again, Thanks for helps/contribution on the port ๐Ÿ™

Macro lgtm:

This revision is now accepted and ready to land.Oct 11 2018, 6:51 PM
This revision was automatically updated to reflect the committed changes.